%global momorel 2

Summary: GLib-based library for accessing online service API
Name: libgdata
Version: 0.6.4
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://live.gnome.org/libgdata
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: libgdata-0.6.1-ja.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: libsoup-devel

%description
libgdata is a GLib-based library for accessing online service APIs
using the GData protocol — most notably, Google's services. It
provides APIs to access the common Google services, and has full
asynchronous support.
#'

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q
%patch0 -p1 -b .ja

%build
%configure --enable-gtk-doc \
    --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_libdir}/libgdata.so.*
%exclude %{_libdir}/*.la
%{_datadir}/locale/*/*/*

# gir
%{_libdir}/girepository-1.0/GData-0.0.typelib
%{_datadir}/gir-1.0/GData-0.0.gir


%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/libgdata.so
%{_libdir}/pkgconfig/libgdata.pc
%{_datadir}/gtk-doc/html/gdata

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.4-2m)
- full rebuild for mo7 release

* Mon Apr 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Mon Feb 22 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2

* Thu Feb 18 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-4m)
- delete __libtoolize hack

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-3m)
- build fix libtool-2.2.6b

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- initial build
